package com.qmth.teachcloud.common.enums;

import java.util.Objects;

/**
 * @Description: 学校流程code enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/11/10
 */
public enum FlowSchoolCodeEnum {

//    GDYKDX("广东医科大学", "gdpu"),
//
//    JXZYYDX("江西中医药大学", "jxutcm");

    GDYKDX("广东医科大学", "test-school-2"),

    JXZYYDX("江西中医药大学", "test-school-1");

    private String title;

    private String code;

    private FlowSchoolCodeEnum(String title, String code) {
        this.title = title;
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param title
     * @return
     */
    public static String convertToName(String title) {
        for (FlowSchoolCodeEnum e : FlowSchoolCodeEnum.values()) {
            if (Objects.equals(title, e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }
}
